Index: hadoop-0.18.3/debian/changelog
===================================================================
--- hadoop-0.18.3/debian/changelog	(revision 50)
+++ hadoop-0.18.3/debian/changelog	(revision 50)
@@ -0,0 +1,7 @@
+hadoop (0.18.3-1) unstable; urgency=low
+
+  * Initial release 
+  * source upstream from
+    http://www.apache.org/dist/hadoop/core/hadoop-0.18.3/hadoop-0.18.3.tar.gz
+
+ -- Jazz Yao-Tsung Wang <jazzwang.tw@gmail.com>  Thu, 19 Mar 2009 16:49:08 +0800
Index: hadoop-0.18.3/debian/compat
===================================================================
--- hadoop-0.18.3/debian/compat	(revision 50)
+++ hadoop-0.18.3/debian/compat	(revision 50)
@@ -0,0 +1,1 @@
+5
Index: hadoop-0.18.3/debian/conf/hadoop-env.sh
===================================================================
--- hadoop-0.18.3/debian/conf/hadoop-env.sh	(revision 50)
+++ hadoop-0.18.3/debian/conf/hadoop-env.sh	(revision 50)
@@ -0,0 +1,56 @@
+# Set Hadoop-specific environment variables here.
+
+# The only required environment variable is JAVA_HOME.  All others are
+# optional.  When running a distributed configuration it is best to
+# set JAVA_HOME in this file, so that it is correctly defined on
+# remote nodes.
+
+# The java implementation to use.  Required.
+export JAVA_HOME=/usr/lib/jvm/java-6-sun
+export HADOOP_HOME=/opt/hadoop
+export HADOOP_CONF_DIR=$HADOOP_HOME/conf
+
+# Extra Java CLASSPATH elements.  Optional.
+# export HADOOP_CLASSPATH=
+
+# The maximum amount of heap to use, in MB. Default is 1000.
+# export HADOOP_HEAPSIZE=2000
+
+# Extra Java runtime options.  Empty by default.
+# export HADOOP_OPTS=-server
+
+# Command specific options appended to HADOOP_OPTS when specified
+export HADOOP_NAMENODE_OPTS="-Dcom.sun.management.jmxremote $HADOOP_NAMENODE_OPTS"
+export HADOOP_SECONDARYNAMENODE_OPTS="-Dcom.sun.management.jmxremote $HADOOP_SECONDARYNAMENODE_OPTS"
+export HADOOP_DATANODE_OPTS="-Dcom.sun.management.jmxremote $HADOOP_DATANODE_OPTS"
+export HADOOP_BALANCER_OPTS="-Dcom.sun.management.jmxremote $HADOOP_BALANCER_OPTS"
+export HADOOP_JOBTRACKER_OPTS="-Dcom.sun.management.jmxremote $HADOOP_JOBTRACKER_OPTS"
+# export HADOOP_TASKTRACKER_OPTS=
+# The following applies to multiple commands (fs, dfs, fsck, distcp etc)
+# export HADOOP_CLIENT_OPTS
+
+# Extra ssh options.  Empty by default.
+# export HADOOP_SSH_OPTS="-o ConnectTimeout=1 -o SendEnv=HADOOP_CONF_DIR"
+
+# Where log files are stored.  $HADOOP_HOME/logs by default.
+export HADOOP_LOG_DIR=/var/log/hadoop
+
+# File naming remote slave hosts.  $HADOOP_HOME/conf/slaves by default.
+# export HADOOP_SLAVES=${HADOOP_HOME}/conf/slaves
+
+# host:path where hadoop code should be rsync'd from.  Unset by default.
+# export HADOOP_MASTER=master:/home/$USER/src/hadoop
+
+# Seconds to sleep between slave commands.  Unset by default.  This
+# can be useful in large clusters, where, e.g., slave rsyncs can
+# otherwise arrive faster than the master can service them.
+# export HADOOP_SLAVE_SLEEP=0.1
+
+# The directory where pid files are stored. /tmp by default.
+# export HADOOP_PID_DIR=/var/hadoop/pids
+
+# A string representing this instance of hadoop. $USER by default.
+# export HADOOP_IDENT_STRING=$USER
+
+# The scheduling priority for daemon processes.  See 'man nice'.
+# export HADOOP_NICENESS=10
Index: hadoop-0.18.3/debian/conf/hadoop-site.xml
===================================================================
--- hadoop-0.18.3/debian/conf/hadoop-site.xml	(revision 50)
+++ hadoop-0.18.3/debian/conf/hadoop-site.xml	(revision 50)
@@ -0,0 +1,24 @@
+<?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="configuration.xsl"?>
+
+<!-- Put site-specific property overrides in this file. -->
+
+<configuration>
+  <property>
+    <name>fs.default.name</name>
+    <value>hdfs://localhost:9000/</value>
+    <description>
+      The name of the default file system. Either the literal string
+      "local" or a host:port for NDFS.
+    </description>
+  </property>
+  <property>
+    <name>mapred.job.tracker</name>
+    <value>localhost:9001</value>
+    <description>
+    The host and port that the MapReduce job tracker runs at. If
+    "local", then jobs are run in-process as a single map and
+    reduce task.
+    </description>
+  </property>
+</configuration>
Index: hadoop-0.18.3/debian/control
===================================================================
--- hadoop-0.18.3/debian/control	(revision 50)
+++ hadoop-0.18.3/debian/control	(revision 50)
@@ -0,0 +1,36 @@
+Source: hadoop
+Section: devel
+Priority: extra
+Maintainer: Jazz Yao-Tsung Wang <jazzwang.tw@gmail.com>
+Build-Depends: debhelper (>= 5)
+Standards-Version: 3.7.2
+
+Package: hadoop
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, sun-java6-jre
+Suggests: hadoop-src, hadoop-doc
+Description: Apache Hadoop Core
+  .
+  Apache Hadoop Core is a software platform that lets one easily write and 
+  run applications that process vast amounts of data.
+  .
+  Here's what makes Hadoop especially useful:
+   * Scalable: Hadoop can reliably store and process petabytes.
+   * Economical: It distributes the data and processing across clusters of 
+                 commonly available computers. These clusters can number into 
+                 the thousands of nodes.
+   * Efficient: By distributing the data, Hadoop can process it in parallel on
+                the nodes where the data is located. This makes it extremely 
+                rapid.
+   * Reliable: Hadoop automatically maintains multiple copies of data and 
+               automatically redeploys computing tasks based on failures.
+  .
+  Hadoop implements MapReduce, using the Hadoop Distributed File System (HDFS)
+  MapReduce divides applications into many small blocks of work. HDFS creates 
+  multiple replicas of data blocks for reliability, placing them on compute 
+  nodes around the cluster. MapReduce can then process the data where it is 
+  located.
+  .
+  For more information about Hadoop, please see the Hadoop website.
+  http://hadoop.apache.org/
+
Index: hadoop-0.18.3/debian/copyright
===================================================================
--- hadoop-0.18.3/debian/copyright	(revision 50)
+++ hadoop-0.18.3/debian/copyright	(revision 50)
@@ -0,0 +1,26 @@
+This package was debianized by Jazz Yao-Tsung Wang <jazzwang.tw@gmail.com> on
+Thu, 19 Mar 2009 16:45:01 +0800.
+
+It was downloaded from 
+http://www.apache.org/dist/hadoop/core/hadoop-0.18.3/hadoop-0.18.3.tar.gz
+
+Upstream Author(s): 
+
+    Please chech Hadoop Core credits for 
+      * Committers
+      * Contributors
+      * Emeriti
+
+    http://hadoop.apache.org/core/credits.html
+
+License:
+
+    Apache License
+    Version 2.0, January 2004
+    http://www.apache.org/licenses/
+
+The Debian packaging is (C) 2009, Jazz Yao-Tsung Wang <jazzwang.tw@gmail.com> 
+and is licensed under the GPL, see `/usr/share/common-licenses/GPL'.
+
+# Please also look if there are files or directories which have a
+# different copyright/license attached and list them here.
Index: hadoop-0.18.3/debian/hadoop.docs
===================================================================
--- hadoop-0.18.3/debian/hadoop.docs	(revision 50)
+++ hadoop-0.18.3/debian/hadoop.docs	(revision 50)
@@ -0,0 +1,5 @@
+CHANGES.txt
+LICENSE.txt
+NOTICE.txt
+README.txt
+docs/*
Index: hadoop-0.18.3/debian/hadoop.install
===================================================================
--- hadoop-0.18.3/debian/hadoop.install	(revision 50)
+++ hadoop-0.18.3/debian/hadoop.install	(revision 50)
@@ -0,0 +1,12 @@
+conf/*	      etc/hadoop
+debian/conf/* etc/hadoop
+bin	      opt/hadoop
+c++	      opt/hadoop
+contrib	      opt/hadoop
+lib	      opt/hadoop
+libhdfs	      opt/hadoop
+librecordio   opt/hadoop
+src	      opt/hadoop
+webapps	      opt/hadoop
+*.jar	      opt/hadoop
+*.xml	      opt/hadoop
Index: hadoop-0.18.3/debian/hadoop.links
===================================================================
--- hadoop-0.18.3/debian/hadoop.links	(revision 50)
+++ hadoop-0.18.3/debian/hadoop.links	(revision 50)
@@ -0,0 +1,3 @@
+etc/hadoop  opt/hadoop/conf
+usr/share/doc/hadoop opt/hadoop/docs
+var/log/hadoop	opt/hadoop/logs
Index: hadoop-0.18.3/debian/rules
===================================================================
--- hadoop-0.18.3/debian/rules	(revision 50)
+++ hadoop-0.18.3/debian/rules	(revision 50)
@@ -0,0 +1,29 @@
+#!/usr/bin/make -f
+
+export DH_VERBOSE=0
+
+all:
+
+install:
+	dh_testdir
+	dh_testroot
+	dh_install -Xlicense.txt
+	dh_installdocs
+	dh_installchangelogs
+	#dh_installexamples
+	dh_compress
+	dh_fixperms
+	dh_installdeb
+	dh_link
+	dh_gencontrol
+	dh_md5sums
+	dh_builddeb
+
+clean:
+	dh_clean
+
+binary: install
+
+build:
+binary-arch:
+binary-indep: