Index: nutchez-0.1/bin/nutchez-func.sh
===================================================================
--- nutchez-0.1/bin/nutchez-func.sh	(revision 106)
+++ nutchez-0.1/bin/nutchez-func.sh	(revision 108)
@@ -25,5 +25,5 @@
 
 echo_dialog_v () {
-  if [ $VERB -eq 1 ]; then
+  if [[ $VERB -eq 1 ]]; then
     $DIALOG --msgbox "$1" 16 51
   fi
@@ -40,5 +40,5 @@
 
 check_if_root() {
-   if [ ! "$UID" -eq "0" ]; then
+   if [[ ! "$UID" -eq "0" ]]; then
      echo_dialog_v "Hi [$LOGNAME] !! "
      echo_dialog_v "You need to run this script \"`basename $0`\" as root."
@@ -74,7 +74,7 @@
   cp ~/.nutchez/sav/n.urls.txt ~/.nutchez/urls/urls.txt
   if ! [ -z $NOCONTINUE ]; then
-    if [ $NOCONTINUE -eq 1 ]; then
+    if [[ $NOCONTINUE -eq 1 ]]; then
       echo_dialog_v " delete the ~/.nutchez/search/*"
-      DATE=`date +%y%m%d%H%M%S`
+      DATE=`date +%Y%m%d%H%M%S`
       mv ~/.nutchez/search ~/.nutchez/search-$DATE
       $DIALOG --msgbox "上次搜尋的結果改放到 ~/.nutchez/search-$DATE " 0 0
@@ -173,9 +173,9 @@
   echo " \n\n 4. NutchEz將會把你的搜尋結果呈現在這個Port : \n " >> $tempfile
   cat /tmp/n.tomcat.tmp >> $tempfile
-  if [ $NOCONTINUE -eq 0 ];then
+  if [[ $NOCONTINUE -eq 0 ]];then
     echo " \n\n 5. 是否要清除上一次的收尋結果 : \n " >> $tempfile
     echo_dialog_v " 7continue = $CONTINUE"
     echo "NO" >> $tempfile
-  elif [ $NOCONTINUE -eq 1 ];then
+  elif [[ $NOCONTINUE -eq 1 ]];then
     echo " \n\n 5. 是否要清除上一次的收尋結果繼續搜尋 : \n " >> $tempfile
     echo_dialog_v " 7continue = $CONTINUE"
@@ -245,9 +245,9 @@
   FIREFOX=`which firefox`
   RET=$?
-  if [ $RET -eq 0 ];then 
+  if [[ $RET -eq 0 ]];then 
     $FIREFOX -D 0.0 http://localhost:$PORT
     RET=$?
   fi
-  if ! [ $RET -eq 0 ];then
+  if ! [[ $RET -eq 0 ]];then
     $DIALOG --msgbox "恭喜你已經完成了! \n 你可以用瀏覽器瀏覽: \n  http://host_ip:$PORT" 0 0 
   fi
Index: nutchez-0.1/conf/log4j.properties
===================================================================
--- nutchez-0.1/conf/log4j.properties	(revision 106)
+++ nutchez-0.1/conf/log4j.properties	(revision 108)
@@ -1,5 +1,5 @@
 # Define some default values that can be overridden by system properties
 hadoop.root.logger=INFO,console
-hadoop.log.dir=.
+hadoop.log.dir=~/.nutchez/log
 hadoop.log.file=hadoop.log
 
Index: nutchez-0.1/conf/logging.properties
===================================================================
--- nutchez-0.1/conf/logging.properties	(revision 108)
+++ nutchez-0.1/conf/logging.properties	(revision 108)
@@ -0,0 +1,3 @@
+handlers= java.util.logging.ConsoleHandler
+.level= FINE
+
Index: nutchez-0.1/conf/regex-urlfilter.txt.bek
===================================================================
--- nutchez-0.1/conf/regex-urlfilter.txt.bek	(revision 106)
+++ 	(revision )
@@ -1,38 +1,0 @@
-# Licensed to the Apache Software Foundation (ASF) under one or more
-# contributor license agreements.  See the NOTICE file distributed with
-# this work for additional information regarding copyright ownership.
-# The ASF licenses this file to You under the Apache License, Version 2.0
-# (the "License"); you may not use this file except in compliance with
-# the License.  You may obtain a copy of the License at
-#
-#     http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-
-
-# The default url filter.
-# Better for whole-internet crawling.
-
-# Each non-comment, non-blank line contains a regular expression
-# prefixed by '+' or '-'.  The first matching pattern in the file
-# determines whether a URL is included or ignored.  If no pattern
-# matches, the URL is ignored.
-
-# skip file: ftp: and mailto: urls
--^(file|ftp|mailto):
-
-# skip image and other suffixes we can't yet parse
--\.(gif|GIF|jpg|JPG|png|PNG|ico|ICO|css|sit|eps|wmf|zip|ppt|mpg|xls|gz|rpm|tgz|mov|MOV|exe|jpeg|JPEG|bmp|BMP)$
-
-# skip URLs containing certain characters as probable queries, etc.
--[?*!@=]
-
-# skip URLs with slash-delimited segment that repeats 3+ times, to break loops
--.*(/[^/]+)/[^/]+\1/[^/]+\1/
-
-# accept anything else
-+.